From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/arpeggio/
Date: Thu, 1 Nov 2018 20:07:21 +0000 (UTC) [thread overview]
Message-ID: <1541102834.a7a395375041869ce3e602b62f077ac285a0d63c.zmedico@gentoo> (raw)
commit: a7a395375041869ce3e602b62f077ac285a0d63c
Author: Oleksandr Trotsenko <oleksandr.trotsenko <AT> gmail <DOT> com>
AuthorDate: Sun Oct 28 03:53:16 2018 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Nov 1 20:07:14 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7a39537
dev-python/arpeggio: Version bump to 1.9.0
Updating the package to the latest available version and introducing support for
Python 3.7.
See: https://github.com/gentoo/gentoo/pull/10198
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Oleksandr Trotsenko <oleksandr.trotsenko <AT> gmail.com>
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>
dev-python/arpeggio/Manifest | 1 +
dev-python/arpeggio/arpeggio-1.9.0.ebuild | 34 +++++++++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-python/arpeggio/Manifest b/dev-python/arpeggio/Manifest
index 4441a0268de..87c780b8a7b 100644
--- a/dev-python/arpeggio/Manifest
+++ b/dev-python/arpeggio/Manifest
@@ -1 +1,2 @@
DIST Arpeggio-1.5.tar.gz 18856 BLAKE2B 5ceb26d034622c448ea29adc70f6934dc2de8335c526f02d91bc4bccaf435d462516830fa6b124638fdcb0b4aadc859d602e1ec59469077d796b7534fa28f7aa SHA512 533c59635556a3446c04c8b14f53e8ad6a7a39869f39d958bdd52b5a55ad43c533bc42a41999cc149015b34470d8ff0eca295ff1942c75b33a58a403a604c449
+DIST arpeggio-1.9.0.tar.gz 757412 BLAKE2B f89850a16b2ac1a87cbac3ae0f10d4c04af6097bfb9292abec24c8b938bdf3b837c4d292650b2e335ee5b4b03cd149e1722e35ceabf1b59fd4577ba7e62a8e44 SHA512 179ec76813476823f316471e1b313f377064a75879c52060e547fd755ae72947594dc4d6e58a798150620e82c8b123fbd88484881c12ccb311c47bc93a45a0cd
diff --git a/dev-python/arpeggio/arpeggio-1.9.0.ebuild b/dev-python/arpeggio/arpeggio-1.9.0.ebuild
new file mode 100644
index 00000000000..77211f6a560
--- /dev/null
+++ b/dev-python/arpeggio/arpeggio-1.9.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+MY_PN=Arpeggio
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Parser interpreter based on PEG grammars"
+HOMEPAGE="https://pypi.org/project/Arpeggio/ https://github.com/igordejanovic/Arpeggio"
+SRC_URI="https://github.com/igordejanovic/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/memory_profiler[${PYTHON_USEDEP}]
+ )
+"
+S=${WORKDIR}/${MY_P}
+
+python_test() {
+ pytest -vv || die "Testing failed"
+}
next reply other threads:[~2018-11-01 20:07 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-11-01 20:07 Zac Medico [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-22 19:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/Arpeggio/ Michał Górny
2024-05-18 15:26 Michał Górny
2023-11-24 15:00 Michał Górny
2023-10-04 5:51 Michał Górny
2023-10-04 5:51 Michał Górny
2023-08-12 2:19 Michał Górny
2023-08-11 19:12 Arthur Zamarin
2023-07-09 14:36 Michał Górny
2023-01-27 16:05 Arthur Zamarin
2022-06-11 11:32 Yixun Lan
2022-04-27 6:46 Michał Górny
2022-04-26 21:49 Sam James
2022-03-21 8:54 [gentoo-commits] repo/gentoo:master commit in: dev-python/arpeggio/ Michał Górny
2021-08-28 13:53 Arthur Zamarin
2021-06-05 20:55 Michał Górny
2021-04-25 21:58 Michał Górny
2021-04-25 21:58 Michał Górny
2021-01-22 23:01 Sam James
2020-12-16 11:30 Michał Górny
2020-12-16 11:12 Sam James
2020-12-05 9:52 Michał Górny
2020-11-01 17:40 Michał Górny
2020-08-02 22:04 Sam James
2020-07-17 7:44 Agostino Sarubbo
2020-07-07 20:13 Michał Górny
2020-05-02 19:28 Zac Medico
2020-04-27 1:40 Zac Medico
2020-04-27 1:06 Zac Medico
2020-03-26 11:48 Michał Górny
2020-02-04 12:30 Michał Górny
2018-04-13 9:53 Zac Medico
2017-03-15 6:23 Zac Medico
2016-08-23 20:14 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1541102834.a7a395375041869ce3e602b62f077ac285a0d63c.zmedico@gentoo \
--to=zmedico@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox